curl --request POST \
--url https://api.synctera.com/v1/reward_configs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount_config": {
"config": {}
},
"name": "Grocery Store Cashback",
"reward_category": "cashback:card:mcc",
"template_id": "8b943c51-e4ff-4e57-9558-08cab6b96234",
"description": "1% cashback on all grocery purchases",
"reverse_with_parent": false,
"reward_type": "instant_cashback",
"rule_config": {
"mcc_cashback": {
"mcc_ranges": [
{
"lower": "5411",
"upper": "5499"
}
]
}
}
}
'import requests
url = "https://api.synctera.com/v1/reward_configs"
payload = {
"amount_config": { "config": {} },
"name": "Grocery Store Cashback",
"reward_category": "cashback:card:mcc",
"template_id": "8b943c51-e4ff-4e57-9558-08cab6b96234",
"description": "1% cashback on all grocery purchases",
"reverse_with_parent": False,
"reward_type": "instant_cashback",
"rule_config": { "mcc_cashback": { "mcc_ranges": [
{
"lower": "5411",
"upper": "5499"
}
] } }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount_config: {config: {}},
name: 'Grocery Store Cashback',
reward_category: 'cashback:card:mcc',
template_id: '8b943c51-e4ff-4e57-9558-08cab6b96234',
description: '1% cashback on all grocery purchases',
reverse_with_parent: false,
reward_type: 'instant_cashback',
rule_config: {mcc_cashback: {mcc_ranges: [{lower: '5411', upper: '5499'}]}}
})
};
fetch('https://api.synctera.com/v1/reward_configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"amount_config": {
"amount_type": "fixed",
"config": {
"fixed_amount": {
"amount": 300
},
"percentage": {
"basis_points": 300
},
"transaction_amount_tiered": {
"tiers": [
{
"amount_type": "fixed",
"config": {
"fixed_amount": {
"amount": 300
},
"percentage": {
"basis_points": 300
}
},
"up_to": 10000
}
]
}
}
},
"name": "Grocery Store Cashback",
"reward_category": "cashback:card:mcc",
"status": "active",
"creation_time": "2024-01-15T10:00:00Z",
"id": "5c943c51-e4ff-4e57-9558-08cab6b96398",
"last_updated_time": "2024-06-01T12:00:00Z",
"tenant": "abcdef_ghijkl",
"description": "1% cashback on all grocery purchases",
"reverse_with_parent": false,
"reward_type": "instant_cashback",
"rule_config": {
"mcc_cashback": {
"mcc_ranges": [
{
"lower": "5411",
"upper": "5499"
}
]
}
},
"template_id": "8b943c51-e4ff-4e57-9558-08cab6b96234"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Create a reward config
Create a new standalone reward config. Use PATCH /reward_products/ to associate it with a reward product.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Body
Reward config to create
Amount calculation parameters for a fee config. amount_type determines which config field is used.
Show child attributes
Show child attributes
Human-readable name for this reward rule.
"Grocery Store Cashback"
The category of event that triggers this reward. Trigger-based categories fire when a matching card transaction is posted.
cashback:card:mcc ID of the reward template that provides accounting setup for automated reward posting. Required for trigger-based rewards.
"8b943c51-e4ff-4e57-9558-08cab6b96234"
Description of this reward rule.
"1% cashback on all grocery purchases"
When true, reversals of the triggering transaction also reverse this reward.
false
How the reward is delivered to the account holder. instant_cashback = credited to the account on every qualifying transaction. Future types (not yet implemented): accrued_cashback, vendor_points.
instant_cashback Category-specific rule parameters. Provide the field that matches the reward_config's reward_category; all other fields must be omitted.
Show child attributes
Show child attributes
active, inactive Response
Created reward config
Amount calculation parameters for a fee config. amount_type determines which config field is used.
Show child attributes
Show child attributes
Human-readable name for this reward rule.
"Grocery Store Cashback"
The category of event that triggers this reward. Trigger-based categories fire when a matching card transaction is posted.
cashback:card:mcc active, inactive "2024-01-15T10:00:00Z"
Unique identifier for this reward config.
"5c943c51-e4ff-4e57-9558-08cab6b96398"
"2024-06-01T12:00:00Z"
The id of the tenant containing the resource.
"abcdef_ghijkl"
Description of this reward rule.
"1% cashback on all grocery purchases"
When true, reversals of the triggering transaction also reverse this reward.
false
How the reward is delivered to the account holder. instant_cashback = credited to the account on every qualifying transaction. Future types (not yet implemented): accrued_cashback, vendor_points.
instant_cashback Category-specific rule parameters. Provide the field that matches the reward_config's reward_category; all other fields must be omitted.
Show child attributes
Show child attributes
ID of the reward template that provides accounting setup for automated reward posting. Required for trigger-based rewards.
"8b943c51-e4ff-4e57-9558-08cab6b96234"
Was this page helpful?

